# CAS（旧版）

从 Chamilo 1.x 继承的传统 CAS（中央认证服务）配置。有关 Chamilo 2.x 中 CAS 认证器的当前状态，请参见 [CAS](/2.x-zh-cn/guan-li-zhi-nan/admin-guide/authentication/cas.md)。

在 **管理 > 配置设置 > CAS** 下访问这些设置。此类别包含 **7 个设置**，以下列出平台设置固定数据（`SettingsCurrentFixtures.php`）中提供的标题和注释。

> 代码中的变量名以等宽字体显示。在通过 API 进行脚本编写或需要通过编辑 [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml) 在全局级别更改这些设置时使用它。

## 设置

### `cas_activate`

**启用 CAS 认证**

启用 CAS 认证将允许用户使用他们的 CAS 凭据进行身份验证。\
前往 [插件](https://github.com/chamilo/docs/blob/2.x-zh_CN/admin-guide/platform-settings/settings.php?category=CAS) 为您的 Chamilo 校园添加一个可配置的“CAS 登录”按钮。或者，您可以通过在 app/config/auth.conf.php 中设置 cas\[force\_redirect] 来强制进行 CAS 认证。

### `cas_add_user_activate`

**启用 CAS 用户添加**

启用 CAS 用户添加功能。要从 LDAP 目录创建用户账户，必须在 app/config/auth.conf.php 中填写 extldap\_config 和 extldap\_user\_correspondance 表。

### `cas_port`

**主 CAS 服务器端口**

连接到主 CAS 服务器的端口

### `cas_protocol`

**主 CAS 服务器协议**

我们连接到 CAS 服务器所使用的协议

### `cas_server`

**主 CAS 服务器**

这是用于认证的主 CAS 服务器（IP 地址或主机名）

### `cas_server_uri`

**主 CAS 服务器 URI**

CAS 服务的路径

### `update_user_info_cas_with_ldap`

**从 LDAP 更新 CAS 认证的用户账户信息**

确保用户的名字、姓氏和电子邮件地址与 LDAP 目录中的当前值一致


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/2.x-zh-cn/guan-li-zhi-nan/admin-guide/platform-settings/cas-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
